- [HTTP request](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies/list#body.request_body)
- [Response body](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies/list#body.ListAclPoliciesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies/list#body.aspect)
- [Examples](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies/list#examples)
- [Try it!](https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies/list#try-it)

Lists all ACL policies owned by a project in either the specified location (region) or all locations.

The location should have the following format:

- `projects/{projectId}/locations/{locationId}`

If `locationId` is specified as `-` (wildcard), then all regions available to the project are queried, and the results are aggregated.

### HTTP request

`GET https://redis.googleapis.com/v1beta1/{parent=projects/*/locations/*}/aclPolicies`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The resource name of the ACL policy location using the form: `projects/{projectId}/locations/{locationId}` where `locationId` refers to a Google Cloud region. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of items to return. If not specified, a default value of 1000 will be used by the service. Regardless of the pageSize value, the response may include a partial list and a caller should only rely on response's `https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies/list#body.ListAclPoliciesResponse.FIELDS.next_page_token` to determine if there are more ACL policies left to be queried. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` Optional. The `nextPageToken` value returned from a previous `aclPolicies.list` request, if any. |

### Request body

The request body must be empty.

### Response body

Response for `aclPolicies.list`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "aclPolicies": [ { object (`https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies#AclPolicy`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `aclPolicies[]` | ``object (`https://docs.cloud.google.com/memorystore/docs/cluster/reference/rest/v1beta1/projects.locations.aclPolicies#AclPolicy`)`` A list of ACL policies in the project in the specified location, or across all locations. If the `locationId` in the parent field of the request is "-", all regions available to the project are queried, and the results aggregated. |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |
| `unreachable[]` | `string` Unordered list. Locations that could not be reached. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/redis.read-write`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).